package de.intevation.flys.artifacts.access;

import de.intevation.flys.artifacts.FLYSArtifact;


/** Access to data that deals with flow velocity stuff. */
public class FlowVelocityAccess extends RiverAccess {

    private int[] mainChannels;
    private int[] totalChannels;

    private Double lowerKM;
    private Double upperKM;


    public FlowVelocityAccess(FLYSArtifact artifact) {
        super(artifact);
    }


    public int[] getMainChannels() {
        if (mainChannels == null) {
            mainChannels = getIntArray("main_channel");
        }

        return mainChannels;
    }


    public int[] getTotalChannels() {
        if (totalChannels == null) {
            totalChannels = getIntArray("total_channel");
        }

        return totalChannels;
    }


    public Double getLowerKM() {
        if (lowerKM == null) {
            lowerKM = getDouble("ld_from");
        }

        return lowerKM;
    }


    public Double getUpperKM() {
        if (upperKM == null) {
            upperKM = getDouble("ld_to");
        }

        return upperKM;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
